|
From: <gb...@us...> - 2008-07-10 07:35:28
|
Revision: 276
http://gearbox.svn.sourceforge.net/gearbox/?rev=276&view=rev
Author: gbiggs
Date: 2008-07-10 00:35:38 -0700 (Thu, 10 Jul 2008)
Log Message:
-----------
Updated gentoo installation instructions
Modified Paths:
--------------
gearbox/trunk/doc/install_gentoo.dox
Added Paths:
-----------
gearbox/trunk/dist/gearbox.ebuild
Removed Paths:
-------------
gearbox/trunk/dist/gearbox-1.1.ebuild
Deleted: gearbox/trunk/dist/gearbox-1.1.ebuild
===================================================================
--- gearbox/trunk/dist/gearbox-1.1.ebuild 2008-07-10 06:00:03 UTC (rev 275)
+++ gearbox/trunk/dist/gearbox-1.1.ebuild 2008-07-10 07:35:38 UTC (rev 276)
@@ -1,43 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit cmake-utils
-
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="~x86 ~amd64"
-DESCRIPTION="A collection of libraries for robotics, including hardware drivers and algorithms."
-SRC_URI="/${P}.tar.bz2"
-HOMEPAGE="http://gearbox.sourceforge.net"
-IUSE="doc basic gbxadvanced gbxgarminacfr gbxserialacfr gbxsickacfr gbxsmartbatteryacfr gbxutilacfr hokuyo_aist"
-DEPEND=">=dev-util/cmake-2.4
- doc? (app-doc/doxygen)"
-RDEPEND=${DEPEND}
-
-S=${WORKDIR}/${PN}
-
-src_compile()
-{
- local mycmakeargs="`cmake-utils_use_enable basic LIB_BASIC`\
- `cmake-utils_use_enable gbxadvanced LIB_GBXADVANCED`\
- `cmake-utils_use_enable gbxgarminacfr LIB_GBXGARMINACFR`\
- `cmake-utils_use_enable gbxserialacfr LIB_GBXSERIALACFR`\
- `cmake-utils_use_enable gbxsickacfr LIB_GBXSICKACFR`\
- `cmake-utils_use_enable gbxsmartbatteryacfr LIB_GBXSMARTBATTERYACFR`\
- `cmake-utils_use_enable gbxutilacfr LIB_GBXUTILACFR`\
- `cmake-utils_use_enable hokuyo_aist LIB_HOKUYO_AIST`"
- cmake-utils_src_compile
- if use doc;
- then
- cd doc
- doxygen doxyfile || die "Error building documentation"
- fi
-}
-
-src_install ()
-{
- cmake-utils_src_install
- dodoc LICENSE
- use doc && dohtml -r doc/html/*
-}
\ No newline at end of file
Copied: gearbox/trunk/dist/gearbox.ebuild (from rev 273, gearbox/trunk/dist/gearbox-1.1.ebuild)
===================================================================
--- gearbox/trunk/dist/gearbox.ebuild (rev 0)
+++ gearbox/trunk/dist/gearbox.ebuild 2008-07-10 07:35:38 UTC (rev 276)
@@ -0,0 +1,43 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit cmake-utils
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~x86 ~amd64"
+DESCRIPTION="A collection of libraries for robotics, including hardware drivers and algorithms."
+SRC_URI="/${P}.tar.bz2"
+HOMEPAGE="http://gearbox.sourceforge.net"
+IUSE="doc basic gbxadvanced gbxgarminacfr gbxserialacfr gbxsickacfr gbxsmartbatteryacfr gbxutilacfr hokuyo_aist"
+DEPEND=">=dev-util/cmake-2.4
+ doc? (app-doc/doxygen)"
+RDEPEND=${DEPEND}
+
+S=${WORKDIR}/${PN}
+
+src_compile()
+{
+ local mycmakeargs="`cmake-utils_use_enable basic LIB_BASIC`\
+ `cmake-utils_use_enable gbxadvanced LIB_GBXADVANCED`\
+ `cmake-utils_use_enable gbxgarminacfr LIB_GBXGARMINACFR`\
+ `cmake-utils_use_enable gbxserialacfr LIB_GBXSERIALACFR`\
+ `cmake-utils_use_enable gbxsickacfr LIB_GBXSICKACFR`\
+ `cmake-utils_use_enable gbxsmartbatteryacfr LIB_GBXSMARTBATTERYACFR`\
+ `cmake-utils_use_enable gbxutilacfr LIB_GBXUTILACFR`\
+ `cmake-utils_use_enable hokuyo_aist LIB_HOKUYO_AIST`"
+ cmake-utils_src_compile
+ if use doc;
+ then
+ cd doc
+ doxygen doxyfile || die "Error building documentation"
+ fi
+}
+
+src_install ()
+{
+ cmake-utils_src_install
+ dodoc LICENSE
+ use doc && dohtml -r doc/html/*
+}
\ No newline at end of file
Modified: gearbox/trunk/doc/install_gentoo.dox
===================================================================
--- gearbox/trunk/doc/install_gentoo.dox 2008-07-10 06:00:03 UTC (rev 275)
+++ gearbox/trunk/doc/install_gentoo.dox 2008-07-10 07:35:38 UTC (rev 276)
@@ -12,7 +12,7 @@
@page gbx_doc_installgentoo Installing GearBox on Gentoo Linux
-@note Reviewed for release 0.0.1
+@note Reviewed for release 1.1
These are detailed instructions for installing GearBox on Gentoo Linux. See @ref gbx_doc_getting for general guidelines.
@@ -27,7 +27,7 @@
@section gbx_doc_installgentoo_copyebuild Download and copy ebuild
-Download the Gearbox ebuild from the GearBox download page. This ebuild must be copied into the local overlay so that portage can
+Download the Gearbox ebuild from the Gearbox download page. This ebuild must be copied into the local overlay so that portage can
find it. Extract the downloaded files into your local overlay directory. This should create a subdirectory called \b dev-libs with
a subdirectory called \b gearbox inside it.
@@ -48,18 +48,26 @@
specifying them on the command line, for example:
@verbatim
-USE="urg_nz" emerge gearbox -av
+USE="hokuyo_aist" emerge gearbox -av
@endverbatim
Alternatively, they can be set more permanantly be specifying them in /etc/portage/package.use:
@verbatim
-dev-libs/gearbox urg_nz
+dev-libs/gearbox hokuyo_aist
@endverbatim
A full list of available USE flags is given below. For a list of those provided by your current ebuild for Gearbox,
run \b equery \b uses \b gearbox.
-<table><tr><td>urg_nz</td><td>Enables the "urgnz" Hokuyo URG laser driver library</td></tr>
+<table><tr><td>doc</td><td>Installs the documentation</td></tr>
+<tr><td>basic</td><td>Enable the basic example library.</td></tr>
+<tr><td>gbxadvanced</td><td>Enable the advanced example library.</td></tr>
+<tr><td>gbxgarminacfr</td><td>Enabled the GbxGarminAcfr GPS driver.</td></tr>
+<tr><td>gbxserialacfr</td><td>Enable the GbxSerialAcfr serial communications library.</td></tr>
+<tr><td>gbxsickacfr</td><td>Enable the GbxSickAcfr SICK laser scanner driver.</td></tr>
+<tr><td>gbxsmartbatteryacfr</td><td>Enable the GbxSmartBatteryAcfr SmartBattery driver.</td></tr>
+<tr><td>gbxutilacfr</td><td>Enable the GbxUtilAcfr utilities library.</td></tr>
+<tr><td>hokuyo_aist</td><td>Enable the hokuyo_aist Hokuyo laser scanner library.</td></tr>
</table>
@section gbx_doc_installgentoo_install Install
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|